package me.Destro168.FC_General;

public class ArgParser
{
	public final int MAX_ARGS_TO_PARSE = 100;
	
	String[] args;
	String finalArgument;
	
	public void setArg(int x, String y) { try { args[x] = y; } catch (ArrayIndexOutOfBoundsException e) { } }
	
	public String getArg(int x) { try { return args[x]; } catch (ArrayIndexOutOfBoundsException e) { return ""; } }
	public String[] getArgs() { return args; }
	public String getFinalArg() { return finalArgument; }
	
	public ArgParser(String[] args_)
	{
		//Assign passed args.
		args = new String[MAX_ARGS_TO_PARSE];
		finalArgument = "";
		
		//Set the safe arguments based on argument string.
		setSafeArguments(args_);
	}
	
	//Returns an array of arguments where all null parameters are set to "".
	public void setSafeArguments(String[] args_)
	{
		for (int i = 0; i < MAX_ARGS_TO_PARSE; i++)
			args[i] = "";
		
		for (int i = 0; i < args_.length; i++)
		{
			if (args_[i] != null)
				args[i] = args_[i];
			else
				args[i] = "";
		}
	}
	
	//command [arg1] <-- default argument to skip.
	public void setLastArg(int argsToSkip_)
	{
		//Set the args to skip = to the args to skip plus previous arguments.
		int argsToSkip = argsToSkip_;
		
		//Form the final argument
		for (int i = argsToSkip; i < args.length; i++)
		{
			if (!args[i].equals(""))
			{
				if (i != argsToSkip)
					finalArgument += " " + args[i];
				else
					finalArgument += args[i];
			}
		}
		
		//If the person that input the command input permanent, then we want to remove it from the reason.
		finalArgument.replaceAll("[Permanent]", "Permanent");
		
		//If the reason is empty, then we want to set it to [NONE]"
		if (finalArgument.equals(""))
			finalArgument = "No reason specified.";
	}
}




